summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-09-03 11:47:33 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-09-03 11:49:59 +0200
commitd6cde1b9aedd886d9140258074feb3d79d971372 (patch)
tree31610c58792558254460bc4c7b4c64ef9401b974 /app-editors/kile/kile-2.9.91.ebuild
parentkde-misc/kdiff3: Drop old (diff)
downloadgentoo-d6cde1b9aedd886d9140258074feb3d79d971372.tar.gz
gentoo-d6cde1b9aedd886d9140258074feb3d79d971372.tar.bz2
gentoo-d6cde1b9aedd886d9140258074feb3d79d971372.zip
app-editors/kile: 2.9.91 version bump (3.0 beta1)
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'app-editors/kile/kile-2.9.91.ebuild')
-rw-r--r--app-editors/kile/kile-2.9.91.ebuild74
1 files changed, 74 insertions, 0 deletions
diff --git a/app-editors/kile/kile-2.9.91.ebuild b/app-editors/kile/kile-2.9.91.ebuild
new file mode 100644
index 000000000000..5ea787335dca
--- /dev/null
+++ b/app-editors/kile/kile-2.9.91.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="forceoptional"
+inherit kde5
+
+DESCRIPTION="Latex Editor and TeX shell based on KDE Frameworks"
+HOMEPAGE="http://kile.sourceforge.net/"
+[[ ${PV} != *9999* ]] && SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="FDL-1.2 GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="+pdf +png"
+
+DEPEND="
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kcrash)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep kdoctools)
+ $(add_frameworks_dep kguiaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kinit)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kparts)
+ $(add_frameworks_dep ktexteditor)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep kxmlgui)
+ $(add_kdeapps_dep okular)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtscript)
+ $(add_qt_dep qttest)
+ $(add_qt_dep qtwidgets)
+ pdf? ( app-text/poppler[qt5] )
+"
+RDEPEND="${DEPEND}
+ !app-editors/kile:4
+ $(add_kdeapps_dep konsole)
+ $(add_kdeapps_dep okular 'pdf?')
+ virtual/latex-base
+ virtual/tex-base
+ pdf? (
+ || (
+ app-text/dvipdfmx
+ >=app-text/texlive-core-2014
+ )
+ app-text/ghostscript-gpl
+ )
+ png? (
+ app-text/dvipng
+ || ( media-gfx/imagemagick[png] media-gfx/graphicsmagick[imagemagick,png] )
+ )
+"
+
+DOCS=( kile-remote-control.txt )
+
+src_prepare() {
+ kde5_src_prepare
+
+ # I know upstream wants to help us but it doesn't work..
+ sed -e '/INSTALL( FILES AUTHORS/s/^/#DISABLED /' \
+ -i CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package pdf Poppler)
+ )
+
+ kde5_src_configure
+}